List API keys
GET
/admin/api-keys
const url = 'https://shoehorn.example.com/api/v1/admin/api-keys';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/admin/api-keysResponses
Section titled “ Responses ”API keys (tokens are masked)
Media type application/json
object
keys
Array<object>
object
id
string format: uuid
name
string
prefix
First 8 chars of token (shp_svc_)
string
scopes
Array<string>
last_used
string format: date-time
expires_at
string format: date-time
created_at
string format: date-time
revoked
boolean
Example generated
{ "keys": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "prefix": "example", "scopes": [ "example" ], "last_used": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "revoked": true } ]}